#
# /etc/ppp/ppp.conf
#
# Config file for ppp(8) to use GPRS Phones
#
# Tim Deegan, January 2002
#
# This is set up for my Ericsson phone, using context 2 to hold the CL link.
# For Motorolas, which are less clever, change  AT+CGDCONT=2 to AT+CGDCONT=1
# and *99*2\# to *99\#
#
# $Id: ppp.conf,v 1.1 2002/02/01 12:10:35 tjd21 Exp $
#

default:
 set log Phase Chat LCP IPCP CCP tun command
 ident user-ppp VERSION (built COMPILATIONDATE)

 set device /dev/cuaa0

 set speed 115200
 set timeout 180
 enable dns

gprs:
 set dial "ABORT BUSY ABORT NO\\sCARRIER TIMEOUT 5 \
           \"\" AT OK-AT-OK ATE1Q0 OK \
           AT+CGDCONT=2,\\\"IP\\\",\\\"mob.cl.cam.ac.uk\\\",\\\"0.0.0.0\\\",0,0 OK \
           AT+CGATT=1 OK \\dATDT\\T TIMEOUT 40 CONNECT"
 set logout "ABORT BUSY ABORT ERROR TIMEOUT 30 \
            \"\" +++ATH OK-ATH-OK AT+CGATT=0 OK"
 set phone *99*2\#
 set authname tjd21
 set authkey ********
 set ifaddr 10.0.0.1/0 10.0.0.2/0 255.255.255.0 0.0.0.0
 add default HISADDR
